tcl_cputime.d(1m)

NAME
tcl_cputime.d - measure Tcl on-CPU times for different types of operation.

SYNOPSIS
tcl_cputime.d [top] eg,
tcl_cputime.d    # default, truncate to 10 lines
tcl_cputime.d 25    # truncate each report section to 25 lines

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16).

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_cputime.d

FIELDS

PID Process ID

TYPE
    Type of call (proc/cmd/total)

NAME
    Name of call

TOTAL
    Total on-CPU time for calls (us)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_cputime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)